<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_conf_summary_list.xsd"/>
<xsd:include schemaLocation="obj_conf_full_list.xsd"/>
<xsd:include schemaLocation="obj_common_full_list.xsd"/>

	<xsd:element name="RESPONSE_TRANS_CONF_LIST">
        <xsd:complexType>
		    <xsd:sequence>
				<xsd:element  ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_LS">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CONF_SUMMARY_LS" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_GW_LS">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CONF_SUMMARY_LS" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_RECORDING_LS">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CONF_FULL_LS" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_PLAYBACK_LS">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CONF_FULL_LS" minOccurs="0"/>
		    </xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="GET_FULL_CONF_CHANGE_LS">  <!--not supported-->
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="FULL_CHANGE_LS" minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET_LS"/>
			<xsd:element ref="GET_GW_LS"/>						<!--not supported-->
			<xsd:element ref="GET_RECORDING_LS"/>				<!--not supported-->
			<xsd:element ref="GET_PLAYBACK_LS"/>				<!--not supported-->
			<xsd:element ref="GET_FULL_CONF_CHANGE_LS"/>		<!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
